Page MenuHomePhabricator

Clean up deprecated shared virtualenv directories
Closed, ResolvedPublic

Description

We would like someone with privileges to please remove /srv/ores/deployment/venv on the canary box, ores1001.eqiad.wmnet

Event Timeline

awight triaged this task as High priority.Apr 30 2018, 6:29 PM
awight created this task.
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptApr 30 2018, 6:29 PM
awight lowered the priority of this task from High to Medium.Apr 30 2018, 6:30 PM
Dzahn claimed this task.Apr 30 2018, 6:53 PM
Dzahn added a comment.Apr 30 2018, 7:55 PM

@awight I think the correct path is /srv/deployment/ores/venv (vs. /srv/ores/deployment/venv) and i already did that here:

T181071#4125265

@Dzahn Thanks, I think you're right on both counts. We must have deployed unrebased, older code on the canary machine ores1001, it seems to be the only place that the deprecated /srv/ores/deployment/venv directory has reappeared.

awight updated the task description. (Show Details)Apr 30 2018, 8:48 PM

Mentioned in SAL (#wikimedia-operations) [2018-04-30T23:05:29Z] <mutante> ores1001: rm -rf /srv/deployment/ores/venv/ (T193422)

@awight confirmed! it only existed on ores1001 and i deleted it. confirmed with cumin the path is gone on all 22 hosts starting with ores*

(22) ores[2001-2009].codfw.wmnet,ores[1001-1009].eqiad.wmnet,oresrdb[2001-2002].codfw.wmnet,oresrdb[1001-1002].eqiad.wmnet                                                                                                            
----- OUTPUT of 'file /srv/deployment/ores/venv' -----                                                             
/srv/deployment/ores/venv: cannot open `/srv/deployment/ores/venv' (No such file or directory)                     
================                                                                                                   
PASS:  |████████████████████████████████████████████████████████| 100% (22/22) [00:00<00:00, 27.84hosts/s]
Dzahn closed this task as Resolved.Apr 30 2018, 11:08 PM
Vvjjkkii renamed this task from Clean up deprecated shared virtualenv directories to hydaaaaaaa.Jul 1 2018, 1:12 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Dzahn as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: Aklapper, gerritbot.
ArielGlenn renamed this task from hydaaaaaaa to Clean up deprecated shared virtualenv directories.Jul 1 2018, 1:20 PM
ArielGlenn closed this task as Resolved.
ArielGlenn lowered the priority of this task from High to Medium.
ArielGlenn updated the task description. (Show Details)
ArielGlenn added subscribers: Aklapper, gerritbot.